{% extends 'CoreGUIBundle:pdf:base_report.html.twig' %}

{% block head_script %}
    <script type="text/javascript">
        function subst() {
            var vars = {};
            var query_strings_from_url = document.location.search.substring(1).split('&');
            for (var query_string in query_strings_from_url) {
                if (query_strings_from_url.hasOwnProperty(query_string)) {
                    var temp_var = query_strings_from_url[query_string].split('=', 2);
                    vars[temp_var[0]] = decodeURI(temp_var[1]);
                }
            }
            var css_selector_classes = ['page', 'topage'];
            for (var css_class in css_selector_classes) {
                if (css_selector_classes.hasOwnProperty(css_class)) {
                    var element = document.getElementsByClassName(css_selector_classes[css_class]);
                    for (var j = 0; j < element.length; ++j) {
                        element[j].textContent = vars[css_selector_classes[css_class]];
                    }
                }
            }
        }
    </script>
{% endblock head_script %}

{% block body_event %}
    onload="subst()"
{% endblock body_event %}

{% block container %}
    <hr>
    <table width="100%">
        {% if footer_left is defined or footer_right is defined %}
            <tr>
                {% if footer_left is defined and footer_left is not empty %}
                    <td style="padding: 2px 0 !important;"><b>{{ footer_left }}</b></td>
                {% endif %}
                {% if footer_right is defined and footer_right is not empty %}
                    <td style="padding: 2px 0 !important;" align="right">{{ footer_right }}</td>
                {% endif %}
            </tr>
        {% endif %}
        <tr>
            <td style="padding: 0 !important;" colspan="2" align="center"><b>Página <span class="page"></span> de <span class="topage"></span></b></td>
        </tr>
    </table>
{% endblock container %}
